opencv: cv::WImageBufferC< T, C > Class Template Reference

Public Types | Public Member Functions

# cv::WImageBufferC< T, C > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageBufferC< T, C >:

List of all members.

## Public Types
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
## Public Member Functions
void | Allocate (int width, int height)
void | CloneFrom (const WImageC< T, C > &src)
bool | IsNull () const
void | ReleaseImage ()
void | SetIpl (IplImage *img)
| WImageBufferC ()
| WImageBufferC (int width, int height)
| WImageBufferC (IplImage *img)
| ~WImageBufferC ()

### template<typename T, int C>
class cv::WImageBufferC< T, C >

## Member Typedef Documentation

template<typename T , int C>

typedef WImage<T>::BaseType cv::WImageBufferC< T, C >::BaseType

Reimplemented from cv::WImageC< T, C >.

## Member Enumeration Documentation

template<typename T , int C>

anonymous enum

Enumerator:

  kChannels |

## Constructor & Destructor Documentation

template<typename T , int C>

cv::WImageBufferC< T, C >::WImageBufferC | ( | ) | `[inline]`

template<typename T , int C>

cv::WImageBufferC< T, C >::WImageBufferC | ( | int | width,
|  | int | height
| ) |  | `[inline]`

template<typename T , int C>

cv::WImageBufferC< T, C >::WImageBufferC | ( | IplImage * | img ) | `[inline, explicit]`

template<typename T , int C>

cv::WImageBufferC< T, C >::~WImageBufferC | ( | ) | `[inline]`

## Member Function Documentation

template<typename T , int C>

void cv::WImageBufferC< T, C >::Allocate | ( | int | width,
|  | int | height
| ) |  | `[inline]`

template<typename T , int C>

void cv::WImageBufferC< T, C >::CloneFrom | ( | const WImageC< T, C > & | src ) | `[inline]`

template<typename T , int C>

bool cv::WImageBufferC< T, C >::IsNull | ( | ) | const`[inline]`

template<typename T , int C>

void cv::WImageBufferC< T, C >::ReleaseImage | ( | ) | `[inline]`

template<typename T , int C>

void cv::WImageBufferC< T, C >::SetIpl | ( | IplImage * | img ) | `[inline]`

Reimplemented from cv::WImageC< T, C >.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines